function [Cp_r] = CP()
%calculates Cp values for granite depending on temperature.
T0 = linspace(0,300,20);
%Parameters
[yn xn] = size(T0);
Tn = ones(yn,xn)*20 %temperature of Cpn (20C)
Cpn = 800; %average value of measured Cp at 20 C frpm litterature

%Calculation
CpnT0 = 8.95*10^(-10)*T0.^3 - 2.13*10^(-6)*T0.^2 + 0.00172*T0 + 0.76;
CpnT = 8.95*10^(-10)*Tn.^3 - 2.13*10^(-6)*Tn.^2 + 0.00172*Tn + 0.76;

Cp_r = Cpn.*CpnT0./CpnT


plot(T0,Cp_r)
xlabel('Temperature [C]')
ylabel('Specific heat [J/kgK]')
title('Temperature dependency of specific heat of granite')
end
