function [k_r] = k()
clc
%calculates Cp values for granite depending on temperature.
T0 = linspace(0,300,20);
%Parameters
[yn xn] = size(T0);
Tn = ones(yn,xn)*25; %temperature of k (25C)
k25 = 3.5; %average value of measured k at 20 C from litterature

%Calculation
k0 = k25*(1.007 + 25*(0.0037 - 0.0074/k25));

k_r = k0./(1.007 + T0*(0.0036 - 0.0072/k0));

plot(T0,k_r)
xlabel('Temperature [C]')
ylabel('Thermal conductivity [W/mK]')
title('Temperature dependency of thermal conductivity of granite')
end
