%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Calculation of MWe
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clc;clear all

%import data%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
EGSdataDESIGN = xlsread('datafromEGSprogramDESIGN.xls', 'EGSdata'); %(1,:) = Qegs [MW], (2,:) = Tfractureoutlet [C], (9,:) = time [s]
EGSdata = xlsread('datafromEGSprogram.xls', 'EGSdata'); %(1,:) = Qegs [MW], (2,:) = Tfractureoutlet [C], (3,:) = time [s]
PROdata = xlsread('PRO2data.xls', 'design') %(1,:) = therm.eff, (2,:) =
%Tinlet(fracout)[C], Qin(3,:),Wpump(4,:), Wturbine(5,:),TgeoOUT(6,:)



%EGS configuration%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
n = 4; %number of productions wells

%design conditions
    %find thermla efficiency as a function of time and outlet temperature
    nthDESIGN = interp1(PROdata(2,:),PROdata(1,:),EGSdataDESIGN(2,:));
    %calculate electrical output
    MWeDESIGN = EGSdataDESIGN(1,:).*nthDESIGN;


%Calculating effect of change in paramters after design
    %find thermla efficiency as a function of time and outlet temperature
    nth1 = interp1(PROdata(2,:),PROdata(1,:),EGSdata(2,:),'spline');
    nth2 = interp1(PROdata(2,:),PROdata(1,:),EGSdata(4,:),'spline');
    nth3 = interp1(PROdata(2,:),PROdata(1,:),EGSdata(6,:),'spline');
    nth4 = interp1(PROdata(2,:),PROdata(1,:),EGSdata(8,:),'spline');
    
    nthVISUAL = interp1(PROdata(2,:),PROdata(1,:),linspace(160,60,10),'spline');
    %calculate electrical output
    MWe1 = EGSdata(1,:).*nth1;
    MWe2 = EGSdata(3,:).*nth2;
    MWe3 = EGSdata(5,:).*nth3;
    MWe4 = EGSdata(7,:).*nth4;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%plots%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


figure(1)
plot(EGSdata(9,:)/(365*24*60*60),EGSdata(2,:),EGSdata(9,:)/(365*24*60*60),EGSdata(4,:),EGSdata(9,:)/(365*24*60*60),EGSdata(6,:),EGSdata(9,:)/(365*24*60*60),EGSdata(8,:))
xlabel('time [years]')
ylabel('Temperature [C]')
title({'Bulk temperature bottom of production wellbore';'one out of seveten fractures is a short circuit fracture'})
legend('fracture spacing = 10.2m','fracture spacing = 20.4m','fracture spacing = 30m','fracture spacing = 51m')

figure(2)
[ax h1 h2] = plotyy(EGSdata(9,:)/(365*24*60*60),n*EGSdata(1,:),EGSdata(9,:)/(365*24*60*60),n*MWe1);
xlabel('time [years]');
ylabel('MW');
title({'Extracted heat and electrical power production';'Five spot configuration'})
legend('Extracted heat','Generated power')
set(ax,'FontSize',14)

figure(3)
plot(EGSdata(9,:)/(365*24*60*60),nth1,EGSdata(9,:)/(365*24*60*60),nth2,EGSdata(9,:)/(365*24*60*60),nth3,EGSdata(9,:)/(365*24*60*60),nth4)
ylabel('thermal efficiency')
xlabel('Time [years]')
title({'Top site thermal efficiency as a function of time';'Five spot configuration'})

% figure(4)
% plot(linspace(160,60,10),nthVISUAL)
% ylabel('thermal efficiency')
% xlabel('temperature [C]')
% title('Thermal efficiency as a function of geothermal production temperature')

figure(5)
[ax h1 h2] = plotyy(EGSdata(9,:)/(365*24*60*60),n*EGSdataDESIGN(1,:),EGSdata(9,:)/(365*24*60*60),n*MWeDESIGN)
xlabel('time [years]');
ylabel('MW');
title({'Extracted heat and electrical power production';'DESIGN Five spot configuration'})
legend('Extracted heat','Generated power')
set(ax,'FontSize',14)

figure(6)
Qnorm1 = EGSdata(1,:)./EGSdataDESIGN(1,:);
Qnorm2 = EGSdata(3,:)./EGSdataDESIGN(1,:);
Qnorm3 = EGSdata(5,:)./EGSdataDESIGN(1,:);
Qnorm4 = EGSdata(7,:)./EGSdataDESIGN(1,:);
plot(EGSdata(9,:)/(365*24*60*60),Qnorm1,EGSdata(9,:)/(365*24*60*60),Qnorm2,EGSdata(9,:)/(365*24*60*60),Qnorm3,EGSdata(9,:)/(365*24*60*60),Qnorm4)
ylabel('Normalized value')
xlabel('Time [years]')
title({'Normalized values for extracted heat';'one out of seveten fractures is a short circuit fracture'})
legend('fracture spacing = 10.2m','fracture spacing = 20.4m','fracture spacing = 30m','fracture spacing = 51m')

figure(7)
MWenorm1 = MWe1./MWeDESIGN;
MWenorm2 = MWe2./MWeDESIGN;
MWenorm3 = MWe3./MWeDESIGN;
MWenorm4 = MWe4./MWeDESIGN;
plot(EGSdata(9,:)/(365*24*60*60),MWenorm1,EGSdata(9,:)/(365*24*60*60),MWenorm2,EGSdata(9,:)/(365*24*60*60),MWenorm3,EGSdata(9,:)/(365*24*60*60),MWenorm4)
ylabel('Normalized value')
xlabel('Time [years]')
title({'Normalized values for net work out put';'one out of seveten fractures is a short circuit fracture'})
legend('fracture spacing = 10.2m','fracture spacing = 20.4m','fracture spacing = 30m','fracture spacing = 51m')

